[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RorByte

Rotate bits of a byte value to the right

## Declaration

Source position: systemh.inc line 959

`function RorByte(`
`const AValue: Byte`
`):Byte; function RorByte(`
`const AValue: Byte;`
`const Dist: Byte`
`):Byte;`

## Description

RorByte rotates the bits of the byte AValue with Dist positions to the right. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RolByte |  | Rotate bits of a byte value to the left
RorWord |  | Rotate bits of a word value to the right
RorDWord |  | Rotate bits of a DWord (cardinal) value to the right
RorQWord |  | Rotate bits of a QWord (64-bit) value to the right